Skip to content

Identity Management (UNKNOWN)

Overview

The Identity Management REST APIs and Model, allow the creation, deletion, and modification of identity groups, and identities.

What This API Does

  • Create, modify, and delete identities groups and identities
  • Manage devices under identities

Error Handling

The API uses standard HTTP status codes with detailed error messages in the response body.

Common Error Responses

All endpoints may return these common error responses:

  • 400 Bad Request: Invalid input data or validation errors
  • 401 Unauthorized: Missing or invalid authentication
  • 403 Forbidden: Insufficient permissions
  • 404 Not Found: Requested resource doesn't exist
  • 409 Conflict: Resource conflict (e.g., duplicate names)
  • 422 Unprocessable Entity: Business rule violations
  • 500 Internal Server Error: Unexpected server errors
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Identity Group

Operations for managing identity groups.

Operations

Update the Policy Set Association

Request

Associate a policy set with an identity group.

Path
idstring(uuid)required

Group id

policySetIdstringrequired

Policy set id

No request payload

Responses

Request accepted

Body
requestIdstring

Request identifier for tracking.

idstring

The identifier of created resource.

Response
{ "requestId": "string", "id": "string" }

Remove the Policy Set Association

Request

Remove the association between a policy set and an identity group.

Path
idstring(uuid)required

Group id

policySetIdstringrequired

Policy set id

No request payload

Responses

Request accepted

Body
requestIdstring

Request identifier for tracking.

idstring

The identifier of created resource.

Response
{ "requestId": "string", "id": "string" }

Update the MAC Registration Association

Request

Associate a MAC registration pool with an identity group.

Path
idstring(uuid)required

Group id

poolIdstringrequired

MAC registration pool id

No request payload

Responses

Request accepted

Body
requestIdstring

Request identifier for tracking.

idstring

The identifier of created resource.

Response
{ "requestId": "string", "id": "string" }

Update the DPSK Pool Association

Request

Associate a DPSK pool with an identity group.

Path
idstring(uuid)required

Group id

dpskPoolIdstringrequired

DPSK pool id

No request payload

Responses

Request accepted

Body
requestIdstring

Request identifier for tracking.

idstring

The identifier of created resource.

Response
{ "requestId": "string", "id": "string" }

Returns the Identity Groups

Request

Retrieve a paginated list of all identity groups for the tenant.

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
No request payload

Responses

The Identity Groups

Body
totalElementsinteger(int64)

The total number of elements in the result set.

totalPagesinteger(int32)

The total number of pages in the result set.

sizeinteger(int32)
contentArray of objects(IdentityGroup)

The list of items.

numberinteger(int32)

The current page number.

sortobject(SortObject)

Sorting information for a page request. Contains details about the field(s) to sort by and the sort direction (ascending or descending).

pageableobject(PageableObject)

The metadata for pagination.

numberOfElementsinteger(int32)

The number of elements on the current page.

firstboolean

Indicates whether the current page is the first page.

lastboolean

Indicates whether the current page is the last page.

emptyboolean

Indicates whether the result set is empty.

Response
{ "totalElements": 0, "totalPages": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "pageNumber": 0, "pageSize": 0, "unpaged": true, "paged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

Query the Identity Groups

Request

Search and filter identity groups based on specified criteria.

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
Bodyrequired
personalIdentityNetworkIdstring

The filter to search by personal identity network.

macRegistrationPoolIdstring

The filter to search by MAC registration list.

dpskPoolIdstring

The filter to search by DPSK pool.

keywordstring

The filter to search by keyword.

groupIdsArray of strings(uuid)

The filter to search by identifiers.

propertyIdstring

The filter to search by property.

certificateTemplateIdstring

The filter to search by certificate template.

policySetIdstring

The filter to search by policy set.

networkIdstring

The filter to search by network.

{ "personalIdentityNetworkId": "string", "macRegistrationPoolId": "string", "dpskPoolId": "string", "keyword": "string", "groupIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "propertyId": "string", "certificateTemplateId": "string", "policySetId": "string", "networkId": "string" }

Responses

The Identity Groups

Body
totalElementsinteger(int64)

The total number of elements in the result set.

totalPagesinteger(int32)

The total number of pages in the result set.

sizeinteger(int32)
contentArray of objects(IdentityGroup)

The list of items.

numberinteger(int32)

The current page number.

sortobject(SortObject)

Sorting information for a page request. Contains details about the field(s) to sort by and the sort direction (ascending or descending).

pageableobject(PageableObject)

The metadata for pagination.

numberOfElementsinteger(int32)

The number of elements on the current page.

firstboolean

Indicates whether the current page is the first page.

lastboolean

Indicates whether the current page is the last page.

emptyboolean

Indicates whether the result set is empty.

Response
{ "totalElements": 0, "totalPages": 0, "size": 0, "content": [ {} ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "sort": {}, "pageNumber": 0, "pageSize": 0, "unpaged": true, "paged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true }

Export Identity Groups Into File

Request

Export identity groups to a CSV file based on search criteria.

Query
pageableobject(Pageable)required

Parameters for paging

pageable.​pageinteger(int32)>= 0
pageable.​sizeinteger(int32)>= 1
pageable.​sortArray of strings
timezonestring
Default "UTC"
date-formatstring

Format will be applied for date values. Default value is "dd/MM/yyyy HH:mm"

Default "yyyyMMddHHmmss"
Bodyrequired
personalIdentityNetworkIdstring

The filter to search by personal identity network.

macRegistrationPoolIdstring

The filter to search by MAC registration list.

dpskPoolIdstring

The filter to search by DPSK pool.

keywordstring

The filter to search by keyword.

groupIdsArray of strings(uuid)

The filter to search by identifiers.

propertyIdstring

The filter to search by property.

certificateTemplateIdstring

The filter to search by certificate template.

policySetIdstring

The filter to search by policy set.

networkIdstring

The filter to search by network.

{ "personalIdentityNetworkId": "string", "macRegistrationPoolId": "string", "dpskPoolId": "string", "keyword": "string", "groupIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "propertyId": "string", "certificateTemplateId": "string", "policySetId": "string", "networkId": "string" }

Responses

The CSV returned

Bodytext/csv
string(binary)

CSV file content

Returns the Specific Identity Group

Request

Retrieve detailed information about a specific identity group by its ID.

Path
idstring(uuid)required

Group id

No request payload

Responses

Group found

Body
idstring(uuid)read-only

The identifier for the group.

namestring[ 1 .. 255 ] charactersrequired

The name for the group.

descriptionstring<= 255 characters

The description for the group.

dpskPoolIdstring

The identifier of the DPSK pool associated with the group.

macRegistrationPoolIdstring

The identifier of the MAC registration pool associated with the group.

propertyIdstringread-only

Then identifier of the property associated with the group.

createdAtstring(date-time)read-only

The timestamp that the group get created.

updatedAtstring(date-time)read-only

The timestamp that the group get last update.

certificateTemplateIdstringread-only

The identifier of the certificate template associated with the group.

policySetIdstring

The identifier of the policy set associated with the group.

networkCountinteger(int32)

The number of the networks associated with the group.

autoCleanupEnabledboolean

Whether auto cleanup is enabled for the group.

Default false
templateVersioninteger(int64)read-only

The version of template.

_linksobject(Links)
personalIdentityNetworkIdstringread-only

The identifier of the personal identity network associated with the group.

identityCountinteger(int64)read-only

The number of identities belongs to the group.

Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "dpskPoolId": "string", "macRegistrationPoolId": "string", "propertyId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "certificateTemplateId": "string", "policySetId": "string", "networkCount": 0, "autoCleanupEnabled": false, "templateVersion": 0, "_links": { "property1": {}, "property2": {} }, "personalIdentityNetworkId": "string", "identityCount": 0 }

Identity

Operations for managing identities.

Operations

External Identity

Operations for managing external identities.

Operations